Get Embedding Models List
curl --request GET \
--url https://api.intelligence.io.solutions/api/v1/embedding-models \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.intelligence.io.solutions/api/v1/embedding-models"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.intelligence.io.solutions/api/v1/embedding-models', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"object": "list",
"data": [
{
"id": "<string>",
"object": "model",
"created": 123,
"owned_by": "io-intelligence",
"root": "<string>",
"parent": "<string>",
"max_model_len": 123,
"permission": [
{
"id": "<string>",
"object": "model_permission",
"created": 123,
"allow_create_engine": false,
"allow_sampling": true,
"allow_logprobs": true,
"allow_search_indices": false,
"allow_view": true,
"allow_fine_tuning": false,
"organization": "*",
"group": "<string>",
"is_blocking": false
}
],
"max_tokens": 123,
"context_window": 123,
"supports_images_input": true,
"supports_prompt_cache": true,
"input_token_price": 123,
"output_token_price": 123,
"cache_write_token_price": 123,
"cache_read_token_price": 123,
"precision": "<string>"
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Getting Started with AI Models API
Embedding Models List
Retrieves a list of available models for the Embeddings API.
GET
/
api
/
v1
/
embedding-models
Get Embedding Models List
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
JWT token
io.net provided API Key
API key set by an SDK client
Was this page helpful?
⌘I